#
# spec file for package ocaml-zarith
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-zarith
Version:        1.13
Release:        2.6
%{?ocaml_preserve_bytecode}
Summary:        Arbitrary precision integers
License:        LGPL-2.1-only WITH OCaml-LGPL-linking-exception
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/zarith
Source0:        %name-%version.tar.xz
Patch0:         %name.patch
BuildRequires:  gmp-devel
BuildRequires:  ocaml-dune >= 2.8
BuildRequires:  ocaml-rpm-macros >= 20231101
BuildRequires:  ocaml(ocaml_base_version) >= 4.04
BuildRequires:  ocamlfind(dune-configurator)
BuildRequires:  ocamlfind(ocamldoc)
BuildRequires:  ocamlfind(str)

%description
The Zarith library implements arithmetic and logical operations over arbitrary-precision integers and rational numbers.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version
Requires:       gmp-devel

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='zarith'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
%ocaml_dune_test

%files -f %name.files

%files devel -f %name.files.devel

%changelog
* Tue Jan 16 2024 ohering@suse.de
- Remove usage of dune.configurator because ocamlfind names which
  contain a dot are not considered valid anymore with dune 3.13
* Mon Jul 31 2023 ohering@suse.de
- Update to version 1.13
  See included Changes for details
* Fri Apr  9 2021 ohering@suse.de
- Upgrade to version 1.12
  * PR #79: fast path in OCaml (instead of assembly language)
  * PR #94: remove source preprocessing and simplify configuration
  * PR #93: fix parallel build
  * PR #92: fix benchmark for subtraction
* Thu Jan 14 2021 ohering@suse.de
- Initial version 1.11
